Open SCAP Library: cvrf_doc_tracking Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_doc_tracking Struct Reference

## Public Member Functions
cvrf_doc_status_type_t | cvrf_doc_tracking_get_status (struct cvrf_doc_tracking *tracking)
xmlNode * | cvrf_doc_tracking_to_dom (struct cvrf_doc_tracking *tracking)
| Parent: CVRF Model root node. More...
struct cvrf_doc_tracking * | cvrf_doc_tracking_new (void)
| New CVRF DocumentTracking structure. More...
void | cvrf_doc_tracking_free (struct cvrf_doc_tracking *tracking)
| Deallocates memory for a DocumentTracking element. More...
struct cvrf_doc_tracking * | cvrf_doc_tracking_clone (const struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_tracking_id (const struct cvrf_doc_tracking *tracking)
struct oscap_string_iterator * | cvrf_doc_tracking_get_aliases (struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_version (const struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_init_release_date (const struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_cur_release_date (const struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_generator_engine (const struct cvrf_doc_tracking *tracking)
const char * | cvrf_doc_tracking_get_generator_date (const struct cvrf_doc_tracking *tracking)
bool | cvrf_doc_tracking_set_tracking_id (struct cvrf_doc_tracking *tracking, const char *id)
bool | cvrf_doc_tracking_set_version (struct cvrf_doc_tracking *tracking, const char *version)
bool | cvrf_doc_tracking_set_init_release_date (struct cvrf_doc_tracking *tracking, const char *init_release_date)
bool | cvrf_doc_tracking_set_cur_release_date (struct cvrf_doc_tracking *tracking, const char *cur_release_date)
bool | cvrf_doc_tracking_set_generator_engine (struct cvrf_doc_tracking *tracking, const char *generator_engine)
bool | cvrf_doc_tracking_set_generator_date (struct cvrf_doc_tracking *tracking, const char *generator_date)
bool | cvrf_doc_tracking_add_revision (struct cvrf_doc_tracking *tracking, struct cvrf_revision *revision)
struct cvrf_revision_iterator * | cvrf_doc_tracking_get_revision_history (const struct cvrf_doc_tracking *tracking)

## Data Fields
char * | tracking_id
struct oscap_stringlist * | aliases
cvrf_doc_status_type_t | status
char * | version
struct oscap_list * | revision_history
char * | init_release_date
char * | cur_release_date
char * | generator_engine
char * | generator_date

## Member Function Documentation

## ◆ cvrf_doc_tracking_get_status()

cvrf_doc_status_type_t cvrf_doc_tracking_get_status | ( | struct cvrf_doc_tracking * | tracking | ) |

Retrieve completeness status of the CVRF document

Parameters

  tracking | CVRF DocumentTracking structure

Returns
  Enum representing Status child element of the DocumentTracking element

## ◆ cvrf_doc_tracking_to_dom()

xmlNode * cvrf_doc_tracking_to_dom | ( | struct cvrf_doc_tracking * | tracking | ) |

Parent: CVRF Model root node.

Parameters

  tracking | CVRF DocumentTracking structure to be exported to XML

Returns
  xmlNode representing DocumentTracking element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h